﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HabboTraxDEBESTE2
{
    public partial class PlayingFrameSquare : UserControl
    {
        Panel left;
        Panel top;
        Panel right;
        Panel bottom;

        public PlayingFrameSquare(Color color, int width, int height, int lineWidth)
        {
            left = new Panel();
            top = new Panel();
            right = new Panel();
            bottom = new Panel();
            left.BackColor = top.BackColor = right.BackColor = bottom.BackColor = color;
            left.Size = right.Size = new Size(lineWidth, height + 2*lineWidth);
            top.Size = bottom.Size = new Size(width, lineWidth);
            left.Parent = top.Parent = right.Parent = bottom.Parent = this;

            left.Location = new Point(0, 0);
            top.Location = new Point(lineWidth, 0);
            right.Location = new Point(width + lineWidth, 0);
            bottom.Location = new Point(lineWidth, height + lineWidth);

            this.Size = new Size(width + 2 * lineWidth, height + 2 * lineWidth);
        }

        #region AddTransparency
        protected override CreateParams CreateParams
        {
            get
            {
                CreateParams cp = base.CreateParams;
                cp.ExStyle |= 0x00000020;
                return cp;
            }
        }

        protected override void OnPaintBackground(PaintEventArgs e)
        {
            // dont code anything here. Just leave blank, for transparency
        }

        protected void InvalidateEx()
        {
            if (Parent == null)
                return;
            Rectangle rc = new Rectangle(this.Location, this.Size);
            Parent.Invalidate(rc, true);
        }
        #endregion

    }
}
